Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe.util
Class EventMessages

    java.lang.Object
      java.util.ResourceBundle
          java.util.ListResourceBundle
              org.eclipse.hyades.logging.events.cbe.util.EventMessages

public class EventMessages
extends java.util.ListResourceBundle

English resource bundle.

Since:
  1.0
Version:
  1.0.1
Author:
  Denilson Nastacio, Paul E. Slauenwhite

Field Summary
`static java.lang.String` | `CLASS_NAME`
`static java.lang.String` | `LOG_CATEGORY_MISMATCH_EXC_`
`static java.lang.String` | `LOG_COMPONENT_IDENTIFICATION_INVALID_LOCATION_TYPE_EXC_`
`static java.lang.String` | `LOG_EVENT_SAX_PARSER_INCORRECT_XML_ELEMENT_EXC_`
`static java.lang.String` | `LOG_EVENT_SAX_PARSER_INVALID_XML_ATTRIBUTE_EXC_`
`static java.lang.String` | `LOG_EVENT_SAX_PARSER_UNEXPECTED_XML_ELEMENT_EXC_`
`static java.lang.String` | `LOG_EXTENDED_DATA_INVALID_BOOLEAN_EXC_`
`static java.lang.String` | `LOG_EXTENDED_DATA_INVALID_DATE_EXC_`
`static java.lang.String` | `LOG_EXTENDED_DATA_INVALID_HEX_BINARY_1_EXC_`
`static java.lang.String` | `LOG_EXTENDED_DATA_INVALID_HEX_BINARY_2_EXC_`
`static java.lang.String` | `LOG_EXTENDED_DATA_INVALID_TYPE_EXC_`
`static java.lang.String` | `LOG_EXTENDED_DATA_VALUE_NULL_EXC_`
`static java.lang.String` | `LOG_FAILED_TO_DESERIALIZE_CONTENT_HANDLER_EXC_`
`static java.lang.String` | `LOG_FAILED_TO_SERIALIZE_CONTENT_HANDLER_EXC_`
`static java.lang.String` | `LOG_INCONSISTENT_ATTRIBUTES_EXC_`
`static java.lang.String` | `LOG_INVALID_CREATION_TIME_EXC_`
`static java.lang.String` | `LOG_INVALID_GLOBAL_INSTANCE_ID_EXC_`
`static java.lang.String` | `LOG_INVALID_GLOBAL_INSTANCE_ID_LENGTH_EXC_`
`static java.lang.String` | `LOG_INVALID_JNDI_REFERENCE_EXC_` Keys for translatable text
`static java.lang.String` | `LOG_INVALID_LENGTH_EXC_`
`static java.lang.String` | `LOG_INVALID_LENGTH_RANGE_EXC_`
`static java.lang.String` | `LOG_INVALID_LIST_ELEMENT_LENGTH_EXC_`
`static java.lang.String` | `LOG_INVALID_SITUATION_TYPE_EXC_`
`static java.lang.String` | `LOG_INVALID_TYPE_CONVERSION_EXC_`
`static java.lang.String` | `LOG_INVALID_VERSION_EXC_`
`static java.lang.String` | `LOG_MISSING_ATTRIBUTES_EXC_`
`static java.lang.String` | `LOG_MISSING_REQUIRED_ATTRIBUTE_EXC_`
`static java.lang.String` | `LOG_MUTUALLY_EXCLUSIVE_ATTRIBUTES_EXC_`
`static java.lang.String` | `LOG_VALUE_ARRAY_SIZE_MISMATCH_EXC_`
`static java.lang.String` | `LOG_VALUE_OUT_OF_RANGE_EXC_`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`EventMessages()`

Method Summary
`java.lang.Object[][]` | `getContents()` Implements java.util.ListResourceBundle.getContents().

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

See Also:
  Constant Field Values

### LOG_INVALID_JNDI_REFERENCE_EXC_

    public static final java.lang.String LOG_INVALID_JNDI_REFERENCE_EXC_

  Keys for translatable text

  See Also:
    Constant Field Values

### LOG_FAILED_TO_SERIALIZE_CONTENT_HANDLER_EXC_

    public static final java.lang.String LOG_FAILED_TO_SERIALIZE_CONTENT_HANDLER_EXC_

See Also:
  Constant Field Values

### LOG_FAILED_TO_DESERIALIZE_CONTENT_HANDLER_EXC_

    public static final java.lang.String LOG_FAILED_TO_DESERIALIZE_CONTENT_HANDLER_EXC_

See Also:
  Constant Field Values

### LOG_INVALID_GLOBAL_INSTANCE_ID_EXC_

    public static final java.lang.String LOG_INVALID_GLOBAL_INSTANCE_ID_EXC_

See Also:
  Constant Field Values

### LOG_VALUE_ARRAY_SIZE_MISMATCH_EXC_

    public static final java.lang.String LOG_VALUE_ARRAY_SIZE_MISMATCH_EXC_

See Also:
  Constant Field Values

### LOG_INVALID_TYPE_CONVERSION_EXC_

    public static final java.lang.String LOG_INVALID_TYPE_CONVERSION_EXC_

See Also:
  Constant Field Values

### LOG_EXTENDED_DATA_INVALID_TYPE_EXC_

    public static final java.lang.String LOG_EXTENDED_DATA_INVALID_TYPE_EXC_

See Also:
  Constant Field Values

### LOG_EXTENDED_DATA_VALUE_NULL_EXC_

    public static final java.lang.String LOG_EXTENDED_DATA_VALUE_NULL_EXC_

See Also:
  Constant Field Values

### LOG_EXTENDED_DATA_INVALID_BOOLEAN_EXC_

    public static final java.lang.String LOG_EXTENDED_DATA_INVALID_BOOLEAN_EXC_

See Also:
  Constant Field Values

### LOG_EXTENDED_DATA_INVALID_DATE_EXC_

    public static final java.lang.String LOG_EXTENDED_DATA_INVALID_DATE_EXC_

See Also:
  Constant Field Values

### LOG_EXTENDED_DATA_INVALID_HEX_BINARY_1_EXC_

    public static final java.lang.String LOG_EXTENDED_DATA_INVALID_HEX_BINARY_1_EXC_

See Also:
  Constant Field Values

### LOG_EXTENDED_DATA_INVALID_HEX_BINARY_2_EXC_

    public static final java.lang.String LOG_EXTENDED_DATA_INVALID_HEX_BINARY_2_EXC_

See Also:
  Constant Field Values

### LOG_INVALID_SITUATION_TYPE_EXC_

    public static final java.lang.String LOG_INVALID_SITUATION_TYPE_EXC_

See Also:
  Constant Field Values

### LOG_INVALID_CREATION_TIME_EXC_

    public static final java.lang.String LOG_INVALID_CREATION_TIME_EXC_

See Also:
  Constant Field Values

### LOG_INVALID_LIST_ELEMENT_LENGTH_EXC_

    public static final java.lang.String LOG_INVALID_LIST_ELEMENT_LENGTH_EXC_

See Also:
  Constant Field Values

### LOG_VALUE_OUT_OF_RANGE_EXC_

    public static final java.lang.String LOG_VALUE_OUT_OF_RANGE_EXC_

See Also:
  Constant Field Values

### LOG_MISSING_REQUIRED_ATTRIBUTE_EXC_

    public static final java.lang.String LOG_MISSING_REQUIRED_ATTRIBUTE_EXC_

See Also:
  Constant Field Values

### LOG_MUTUALLY_EXCLUSIVE_ATTRIBUTES_EXC_

    public static final java.lang.String LOG_MUTUALLY_EXCLUSIVE_ATTRIBUTES_EXC_

See Also:
  Constant Field Values

### LOG_INVALID_VERSION_EXC_

    public static final java.lang.String LOG_INVALID_VERSION_EXC_

See Also:
  Constant Field Values

### LOG_INVALID_GLOBAL_INSTANCE_ID_LENGTH_EXC_

    public static final java.lang.String LOG_INVALID_GLOBAL_INSTANCE_ID_LENGTH_EXC_

See Also:
  Constant Field Values

### LOG_INVALID_LENGTH_EXC_

    public static final java.lang.String LOG_INVALID_LENGTH_EXC_

See Also:
  Constant Field Values

### LOG_INVALID_LENGTH_RANGE_EXC_

    public static final java.lang.String LOG_INVALID_LENGTH_RANGE_EXC_

See Also:
  Constant Field Values

### LOG_MISSING_ATTRIBUTES_EXC_

    public static final java.lang.String LOG_MISSING_ATTRIBUTES_EXC_

See Also:
  Constant Field Values

### LOG_INCONSISTENT_ATTRIBUTES_EXC_

    public static final java.lang.String LOG_INCONSISTENT_ATTRIBUTES_EXC_

See Also:
  Constant Field Values

### LOG_CATEGORY_MISMATCH_EXC_

    public static final java.lang.String LOG_CATEGORY_MISMATCH_EXC_

See Also:
  Constant Field Values

### LOG_COMPONENT_IDENTIFICATION_INVALID_LOCATION_TYPE_EXC_

    public static final java.lang.String LOG_COMPONENT_IDENTIFICATION_INVALID_LOCATION_TYPE_EXC_

See Also:
  Constant Field Values

### LOG_EVENT_SAX_PARSER_UNEXPECTED_XML_ELEMENT_EXC_

    public static final java.lang.String LOG_EVENT_SAX_PARSER_UNEXPECTED_XML_ELEMENT_EXC_

See Also:
  Constant Field Values

### LOG_EVENT_SAX_PARSER_INCORRECT_XML_ELEMENT_EXC_

    public static final java.lang.String LOG_EVENT_SAX_PARSER_INCORRECT_XML_ELEMENT_EXC_

See Also:
  Constant Field Values

### LOG_EVENT_SAX_PARSER_INVALID_XML_ATTRIBUTE_EXC_

    public static final java.lang.String LOG_EVENT_SAX_PARSER_INVALID_XML_ATTRIBUTE_EXC_

See Also:
  Constant Field Values

Constructor Detail

### EventMessages

    public EventMessages()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Implements java.util.ListResourceBundle.getContents().

  See Also:
    `ListResourceBundle.getContents()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD